figure('name','Baseline: Income Inequality and Deaths');
jj=numel(sync_data_weekly.Time);
sub1=subplot(1,2,1);
plot(sync_data_weekly.Time,100*incshrh(1:numel(sync_data_weekly.Time)),'k','LineWidth',2), hold on
plot(sync_data_weekly.Time,NaN*sync_data_weekly{:,1},'r-','LineWidth',2.5),hold on
box off;
title('Income Inequality');
ylabel('Income Share of High Income Households, %');
set(gca,'FontSize',12);
sub1.XLim(1)='01-Feb-2020';
sub1.XLim(2)='01-Jul-2020';


sub3=subplot(1,2,2);
plot(sync_data_weekly.Time,100*(1/sl_ss*dl(1:numel(sync_data_weekly.Time))),'b-','LineWidth',2),hold on
plot(sync_data_weekly.Time,100*(1/sh_ss*dh(1:numel(sync_data_weekly.Time))),'r--','LineWidth',2),hold on
plot(sync_data_weekly.Time,NaN*100*sync_data_weekly{:,8}/pop,'k:','LineWidth',0.1),hold on
box off;
title('Deaths per Capita by Income');
ylabel('% of Initial Population');
set(gca,'FontSize',12);
sub3.XLim=sub1.XLim;
legend('Model: Low Income','Model: High Income','Location','Northwest');
legend boxoff;
 
suptitle('Figure 5: Income Inequality and Deaths')

orient landscape
print -dpdf -fillpage  Figure5