function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = ert_inequality.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(109, 202);
g1(1,74)=y(25);
g1(1,75)=y(26);
g1(1,78)=y(27);
g1(1,79)=y(28);
g1(1,82)=y(29);
g1(1,83)=y(30);
g1(1,86)=(-(y(25)*params(3)));
g1(1,88)=(-(y(27)*params(3)));
g1(1,90)=(-(y(29)*params(3)));
g1(1,25)=y(74)-params(3)*y(86);
g1(1,26)=y(75);
g1(1,27)=y(78)-params(3)*y(88);
g1(1,28)=y(79);
g1(1,29)=y(82)-params(3)*y(90);
g1(1,30)=y(83);
g1(2,57)=(-1);
g1(2,68)=y(26)*y(75)+y(28)*y(79)+y(30)*y(83);
g1(2,69)=y(106)+y(26)*y(77)+y(28)*y(81)+y(30)*y(85);
g1(2,75)=y(26)*y(68);
g1(2,77)=y(26)*y(69);
g1(2,79)=y(28)*y(68);
g1(2,81)=y(28)*y(69);
g1(2,83)=y(30)*y(68);
g1(2,85)=y(30)*y(69);
g1(2,26)=y(75)*y(68)+y(69)*y(77);
g1(2,28)=y(79)*y(68)+y(69)*y(81);
g1(2,30)=y(83)*y(68)+y(69)*y(85);
g1(2,106)=y(69);
g1(3,4)=1;
g1(3,71)=(-1);
g1(3,106)=1;
g1(4,106)=1;
g1(4,198)=(-1);
g1(5,105)=1;
g1(5,175)=(-(params(12)*y(177)*(1+params(19))));
g1(5,177)=(-(params(12)*y(175)*(1+params(19))));
g1(6,56)=(-1);
g1(6,57)=1;
g1(6,69)=(-(y(4)*params(19)));
g1(6,4)=(-(y(69)*params(19)));
g1(6,73)=(-(y(26)*y(87)+y(28)*y(89)+y(30)*y(91)));
g1(6,87)=(-(y(26)*y(73)));
g1(6,89)=(-(y(28)*y(73)));
g1(6,91)=(-(y(30)*y(73)));
g1(6,26)=(-(y(73)*y(87)));
g1(6,28)=(-(y(73)*y(89)));
g1(6,30)=(-(y(73)*y(91)));
g1(6,107)=(-1);
g1(7,55)=(-1);
g1(7,58)=1;
g1(7,72)=(-(y(25)*y(86)+y(27)*y(88)+y(29)*y(90)));
g1(7,86)=(-(y(25)*y(72)));
g1(7,88)=(-(y(27)*y(72)));
g1(7,90)=(-(y(29)*y(72)));
g1(7,25)=(-(y(86)*y(72)));
g1(7,27)=(-(y(88)*y(72)));
g1(7,29)=(-(y(90)*y(72)));
g1(8,57)=(-(y(58)/((y(57)+y(58))*(y(57)+y(58)))));
g1(8,58)=(-((-y(57))/((y(57)+y(58))*(y(57)+y(58)))));
g1(8,59)=1;
g1(9,68)=(-(params(3)*(y(25)*y(86)+y(27)*y(88)+y(29)*y(90))));
g1(9,69)=(-((y(26)*y(87)+y(28)*y(89)+y(30)*y(91))*params(4)));
g1(9,72)=y(25)*y(86)+y(27)*y(88)+y(29)*y(90);
g1(9,73)=y(26)*y(87)+y(28)*y(89)+y(30)*y(91);
g1(9,86)=(-(y(25)*params(3)*y(68)-y(25)*y(72)));
g1(9,87)=(-(y(26)*y(69)*params(4)-y(26)*y(73)));
g1(9,88)=(-(y(27)*params(3)*y(68)-y(27)*y(72)));
g1(9,89)=(-(y(28)*y(69)*params(4)-y(28)*y(73)));
g1(9,90)=(-(y(29)*params(3)*y(68)-y(29)*y(72)));
g1(9,91)=(-(y(30)*y(69)*params(4)-y(30)*y(73)));
g1(9,25)=(-(y(86)*params(3)*y(68)-y(86)*y(72)));
g1(9,26)=(-(y(87)*y(69)*params(4)-y(73)*y(87)));
g1(9,27)=(-(y(88)*params(3)*y(68)-y(88)*y(72)));
g1(9,28)=(-(y(89)*y(69)*params(4)-y(73)*y(89)));
g1(9,29)=(-(y(90)*params(3)*y(68)-y(90)*y(72)));
g1(9,30)=(-(y(91)*y(69)*params(4)-y(73)*y(91)));
g1(9,107)=1;
g1(10,58)=(-1);
g1(10,68)=y(25)*y(74)+y(27)*y(78)+y(29)*y(82);
g1(10,69)=y(25)*y(76)+y(27)*y(80)+y(29)*y(84);
g1(10,74)=y(25)*y(68);
g1(10,76)=y(25)*y(69);
g1(10,78)=y(27)*y(68);
g1(10,80)=y(27)*y(69);
g1(10,82)=y(29)*y(68);
g1(10,84)=y(29)*y(69);
g1(10,25)=y(74)*y(68)+y(69)*y(76);
g1(10,27)=y(78)*y(68)+y(69)*y(80);
g1(10,29)=y(82)*y(68)+y(69)*y(84);
g1(11,69)=1;
g1(12,68)=(-params(3));
g1(12,72)=1;
g1(13,69)=(-params(4));
g1(13,73)=1;
g1(14,66)=1;
g1(14,68)=(-(y(29)*y(82)+y(27)*y(78)+y(26)*y(75)+y(28)*y(79)+y(30)*y(83)+y(25)*y(74)));
g1(14,69)=(-(y(29)*y(84)+y(27)*y(80)+y(26)*y(77)+y(28)*y(81)+y(30)*y(85)+y(25)*y(76)));
g1(14,74)=(-(y(25)*y(68)));
g1(14,75)=(-(y(26)*y(68)));
g1(14,76)=(-(y(25)*y(69)));
g1(14,77)=(-(y(26)*y(69)));
g1(14,78)=(-(y(27)*y(68)));
g1(14,79)=(-(y(28)*y(68)));
g1(14,80)=(-(y(27)*y(69)));
g1(14,81)=(-(y(28)*y(69)));
g1(14,82)=(-(y(29)*y(68)));
g1(14,83)=(-(y(30)*y(68)));
g1(14,84)=(-(y(29)*y(69)));
g1(14,85)=(-(y(30)*y(69)));
g1(14,25)=(-(y(74)*y(68)+y(69)*y(76)));
g1(14,26)=(-(y(75)*y(68)+y(69)*y(77)));
g1(14,27)=(-(y(78)*y(68)+y(69)*y(80)));
g1(14,28)=(-(y(79)*y(68)+y(69)*y(81)));
g1(14,29)=(-(y(82)*y(68)+y(69)*y(84)));
g1(14,30)=(-(y(83)*y(68)+y(69)*y(85)));
g1(15,67)=1;
g1(15,86)=(-y(25));
g1(15,87)=(-y(26));
g1(15,88)=(-y(27));
g1(15,89)=(-y(28));
g1(15,90)=(-y(29));
g1(15,91)=(-y(30));
g1(15,25)=(-y(86));
g1(15,26)=(-y(87));
g1(15,27)=(-y(88));
g1(15,28)=(-y(89));
g1(15,29)=(-y(90));
g1(15,30)=(-y(91));
g1(16,54)=1;
g1(16,200)=1;
g1(17,54)=(-T(1));
g1(17,75)=(-(y(54)*y(26)*params(1)*(y(28)*y(79)+y(27)*y(78))));
g1(17,77)=(-(y(54)*y(26)*params(2)*(y(28)*y(81)+y(27)*y(80))));
g1(17,78)=(-(y(54)*y(27)*y(75)*y(26)*params(1)));
g1(17,79)=(-(y(54)*y(28)*y(75)*y(26)*params(1)));
g1(17,80)=(-(y(54)*y(27)*y(77)*y(26)*params(2)));
g1(17,81)=(-(y(54)*y(28)*y(77)*y(26)*params(2)));
g1(17,87)=(-(y(54)*y(89)*y(28)*y(26)*params(6)));
g1(17,89)=(-(y(54)*y(28)*y(87)*y(26)*params(6)));
g1(17,93)=1;
g1(17,26)=(-(y(54)*(params(7)*(y(28)+y(27))+(y(28)*y(79)+y(27)*y(78))*y(75)*params(1)+(y(28)*y(81)+y(27)*y(80))*y(77)*params(2)+y(89)*y(28)*y(87)*params(6))));
g1(17,27)=(-(y(54)*(y(26)*params(7)+y(78)*y(75)*y(26)*params(1)+y(80)*y(77)*y(26)*params(2))));
g1(17,28)=(-(y(54)*(y(26)*params(7)+y(79)*y(75)*y(26)*params(1)+y(81)*y(77)*y(26)*params(2)+y(89)*y(87)*y(26)*params(6))));
g1(18,54)=(-T(2));
g1(18,74)=(-(y(54)*(y(28)*y(79)+y(27)*y(78))*y(25)*params(1)));
g1(18,76)=(-(y(54)*(y(28)*y(81)+y(27)*y(80))*y(25)*params(2)));
g1(18,78)=(-(y(54)*y(27)*y(74)*y(25)*params(1)));
g1(18,79)=(-(y(54)*y(28)*y(74)*y(25)*params(1)));
g1(18,80)=(-(y(54)*y(27)*y(76)*y(25)*params(2)));
g1(18,81)=(-(y(54)*y(28)*y(76)*y(25)*params(2)));
g1(18,86)=(-(y(54)*y(88)*y(27)*y(25)*params(5)));
g1(18,88)=(-(y(54)*y(27)*y(86)*y(25)*params(5)));
g1(18,92)=1;
g1(18,25)=(-(y(54)*((y(28)*y(79)+y(27)*y(78))*y(74)*params(1)+(y(28)*y(81)+y(27)*y(80))*y(76)*params(2)+y(88)*y(27)*y(86)*params(5)+params(7)*(y(28)+y(27)))));
g1(18,27)=(-(y(54)*(y(25)*params(7)+y(78)*y(74)*y(25)*params(1)+y(80)*y(76)*y(25)*params(2)+y(88)*y(86)*y(25)*params(5))));
g1(18,28)=(-(y(54)*(y(25)*params(7)+y(79)*y(74)*y(25)*params(1)+y(81)*y(76)*y(25)*params(2))));
g1(19,93)=1;
g1(19,26)=(-1);
g1(19,95)=1;
g1(20,92)=1;
g1(20,25)=(-1);
g1(20,94)=1;
g1(21,93)=(-1);
g1(21,28)=(-(1-params(16)-params(9)));
g1(21,97)=1;
g1(22,92)=(-1);
g1(22,27)=(-(1-params(15)-params(8)));
g1(22,96)=1;
g1(23,28)=(-params(16));
g1(23,30)=(-1);
g1(23,99)=1;
g1(24,27)=(-params(15));
g1(24,29)=(-1);
g1(24,98)=1;
g1(25,28)=(-params(9));
g1(25,32)=(-1);
g1(25,101)=1;
g1(26,27)=(-params(8));
g1(26,31)=(-1);
g1(26,100)=1;
g1(27,53)=1;
g1(27,201)=1;
g1(28,162)=(1-params(10))*log(y(75)*y(164)-params(11))+params(10)*log(y(77)*y(165));
g1(28,163)=y(109)*y(174)*T(4);
g1(28,68)=y(175)*y(111)*(-(y(164)*y(75)*y(176)));
g1(28,69)=y(175)*y(111)*(-(y(165)*y(77)*y(177)));
g1(28,73)=y(175)*y(111)*y(170)*y(87)*y(172);
g1(28,75)=y(162)*(1-params(10))*y(164)/(y(75)*y(164)-params(11))+y(109)*y(174)*y(163)*(y(79)*y(97)*y(166)+y(78)*y(96)*y(168))*params(1)*y(164)+y(175)*y(111)*(-(y(164)*y(68)*y(176)));
g1(28,77)=y(162)*params(10)*y(165)/(y(77)*y(165))+y(109)*y(174)*y(163)*(y(81)*y(97)*y(167)+y(80)*y(96)*y(169))*params(2)*y(165)+y(175)*y(111)*(-(y(165)*y(69)*y(177)));
g1(28,78)=y(109)*y(174)*y(163)*y(164)*y(75)*params(1)*y(96)*y(168);
g1(28,79)=y(109)*y(174)*y(163)*y(164)*y(75)*params(1)*y(97)*y(166);
g1(28,80)=y(109)*y(174)*y(163)*y(165)*y(77)*params(2)*y(96)*y(169);
g1(28,81)=y(109)*y(174)*y(163)*y(165)*y(77)*params(2)*y(97)*y(167);
g1(28,87)=y(109)*y(174)*y(163)*y(171)*y(89)*y(97)*params(6)*y(170)-T(3)*y(170)*2*y(87)*y(170)+y(175)*y(111)*y(170)*y(73)*y(172);
g1(28,89)=y(109)*y(174)*y(163)*y(97)*y(170)*y(87)*params(6)*y(171);
g1(28,96)=y(109)*y(174)*y(163)*(params(7)+y(164)*y(75)*params(1)*y(78)*y(168)+y(165)*y(77)*params(2)*y(80)*y(169));
g1(28,97)=y(109)*y(174)*y(163)*(params(7)+y(164)*y(75)*params(1)*y(79)*y(166)+y(165)*y(77)*params(2)*y(81)*y(167)+y(171)*y(89)*y(170)*y(87)*params(6));
g1(28,109)=T(4)*y(174)*y(163);
g1(28,111)=y(175)*(y(170)*y(87)*y(73)*y(172)-y(164)*y(75)*y(68)*y(176)-y(165)*y(77)*y(69)*y(177));
g1(28,113)=y(173)-T(14);
g1(28,164)=y(162)*(1-params(10))*y(75)/(y(75)*y(164)-params(11))+y(109)*y(174)*y(163)*y(75)*params(1)*(y(79)*y(97)*y(166)+y(78)*y(96)*y(168))+y(175)*y(111)*(-(y(75)*y(68)*y(176)));
g1(28,165)=y(162)*params(10)*y(77)/(y(77)*y(165))+y(109)*y(174)*y(163)*y(77)*params(2)*(y(81)*y(97)*y(167)+y(80)*y(96)*y(169))+y(175)*y(111)*(-(y(77)*y(69)*y(177)));
g1(28,166)=y(109)*y(174)*y(163)*y(164)*y(75)*params(1)*y(79)*y(97);
g1(28,167)=y(109)*y(174)*y(163)*y(165)*y(77)*params(2)*y(81)*y(97);
g1(28,168)=y(109)*y(174)*y(163)*y(164)*y(75)*params(1)*y(78)*y(96);
g1(28,169)=y(109)*y(174)*y(163)*y(165)*y(77)*params(2)*y(80)*y(96);
g1(28,170)=y(109)*y(174)*y(163)*y(171)*y(89)*y(97)*y(87)*params(6)-T(3)*y(87)*2*y(87)*y(170)+y(175)*y(111)*y(87)*y(73)*y(172);
g1(28,171)=y(109)*y(174)*y(163)*y(89)*y(97)*y(170)*y(87)*params(6);
g1(28,172)=y(175)*y(111)*y(170)*y(73)*y(87);
g1(28,173)=y(113);
g1(28,174)=T(4)*y(109)*y(163);
g1(28,175)=y(111)*(y(170)*y(87)*y(73)*y(172)-y(164)*y(75)*y(68)*y(176)-y(165)*y(77)*y(69)*y(177));
g1(28,176)=y(175)*y(111)*(-(y(164)*y(75)*y(68)));
g1(28,177)=y(175)*y(111)*(-(y(165)*y(69)*y(77)));
g1(29,162)=(1-params(10))*log(y(74)*y(178)-params(11))+params(10)*log(y(76)*y(179));
g1(29,163)=y(108)*y(184)*T(5);
g1(29,68)=y(110)*y(185)*(-(y(178)*y(74)*y(176)));
g1(29,69)=y(110)*y(185)*(-(y(179)*y(177)*y(76)));
g1(29,72)=y(110)*y(185)*y(180)*y(86)*y(182);
g1(29,74)=y(162)*(1-params(10))*y(178)/(y(74)*y(178)-params(11))+y(163)*y(108)*y(184)*(y(79)*y(97)*y(166)+y(78)*y(96)*y(168))*params(1)*y(178)+y(110)*y(185)*(-(y(68)*y(176)*y(178)));
g1(29,76)=y(162)*params(10)*y(179)/(y(76)*y(179))+y(163)*y(108)*y(184)*(y(81)*y(97)*y(167)+y(80)*y(96)*y(169))*params(2)*y(179)+y(110)*y(185)*(-(y(69)*y(177)*y(179)));
g1(29,78)=y(163)*y(108)*y(184)*y(178)*y(74)*params(1)*y(96)*y(168);
g1(29,79)=y(163)*y(108)*y(184)*y(178)*y(74)*params(1)*y(97)*y(166);
g1(29,80)=y(163)*y(108)*y(184)*y(179)*y(76)*params(2)*y(96)*y(169);
g1(29,81)=y(163)*y(108)*y(184)*y(179)*y(76)*params(2)*y(97)*y(167);
g1(29,86)=y(163)*y(108)*y(184)*y(181)*y(88)*y(96)*params(5)*y(180)-T(3)*y(180)*2*y(86)*y(180)+y(110)*y(185)*y(180)*y(72)*y(182);
g1(29,88)=y(163)*y(108)*y(184)*y(96)*y(180)*y(86)*params(5)*y(181);
g1(29,96)=y(163)*y(108)*y(184)*(params(7)+y(178)*y(74)*params(1)*y(78)*y(168)+y(179)*y(76)*params(2)*y(80)*y(169)+y(181)*y(88)*y(180)*y(86)*params(5));
g1(29,97)=y(163)*y(108)*y(184)*(params(7)+y(178)*y(74)*params(1)*y(79)*y(166)+y(179)*y(76)*params(2)*y(81)*y(167));
g1(29,108)=T(5)*y(163)*y(184);
g1(29,110)=y(185)*(y(180)*y(86)*y(72)*y(182)-y(178)*y(74)*y(68)*y(176)-y(179)*y(76)*y(69)*y(177));
g1(29,112)=y(183)-T(14);
g1(29,166)=y(163)*y(108)*y(184)*y(79)*y(97)*y(178)*y(74)*params(1);
g1(29,167)=y(163)*y(108)*y(184)*y(81)*y(97)*y(179)*y(76)*params(2);
g1(29,168)=y(163)*y(108)*y(184)*y(78)*y(96)*y(178)*y(74)*params(1);
g1(29,169)=y(163)*y(108)*y(184)*y(80)*y(96)*y(179)*y(76)*params(2);
g1(29,176)=y(110)*y(185)*(-(y(178)*y(74)*y(68)));
g1(29,177)=y(110)*y(185)*(-(y(179)*y(69)*y(76)));
g1(29,178)=y(162)*(1-params(10))*y(74)/(y(74)*y(178)-params(11))+y(163)*y(108)*y(184)*(y(79)*y(97)*y(166)+y(78)*y(96)*y(168))*y(74)*params(1)+y(110)*y(185)*(-(y(74)*y(68)*y(176)));
g1(29,179)=y(162)*params(10)*y(76)/(y(76)*y(179))+y(163)*y(108)*y(184)*(y(81)*y(97)*y(167)+y(80)*y(96)*y(169))*y(76)*params(2)+y(110)*y(185)*(-(y(76)*y(69)*y(177)));
g1(29,180)=y(163)*y(108)*y(184)*y(181)*y(88)*y(96)*y(86)*params(5)-T(3)*y(86)*2*y(86)*y(180)+y(110)*y(185)*y(86)*y(72)*y(182);
g1(29,181)=y(163)*y(108)*y(184)*y(88)*y(96)*y(180)*y(86)*params(5);
g1(29,182)=y(110)*y(185)*y(180)*y(86)*y(72);
g1(29,183)=y(112);
g1(29,184)=T(5)*y(163)*y(108);
g1(29,185)=y(110)*(y(180)*y(86)*y(72)*y(182)-y(178)*y(74)*y(68)*y(176)-y(179)*y(76)*y(69)*y(177));
g1(30,162)=(1-params(10))*log(y(79)*y(166)-params(11))+params(10)*log(y(81)*y(167));
g1(30,68)=y(175)*y(111)*(-(y(166)*y(79)*y(176)));
g1(30,69)=y(175)*y(111)*(-(y(167)*y(81)*y(177)));
g1(30,73)=y(175)*y(111)*y(171)*y(89)*y(172);
g1(30,79)=y(162)*(1-params(10))*y(166)/(y(79)*y(166)-params(11))+y(175)*y(111)*(-(y(166)*y(68)*y(176)));
g1(30,81)=y(162)*params(10)*y(167)/(y(81)*y(167))+y(175)*y(111)*(-(y(167)*y(69)*y(177)));
g1(30,89)=y(175)*y(111)*y(171)*y(73)*y(172)-T(3)*y(171)*2*y(89)*y(171);
g1(30,111)=y(175)*(y(171)*y(89)*y(73)*y(172)-y(166)*y(79)*y(68)*y(176)-y(167)*y(81)*y(69)*y(177));
g1(30,115)=(1-params(16)-params(9))*y(186)-T(14);
g1(30,117)=params(16)*y(187);
g1(30,166)=y(162)*(1-params(10))*y(79)/(y(79)*y(166)-params(11))+y(175)*y(111)*(-(y(79)*y(68)*y(176)));
g1(30,167)=y(162)*params(10)*y(81)/(y(81)*y(167))+y(175)*y(111)*(-(y(81)*y(69)*y(177)));
g1(30,171)=y(175)*y(111)*y(89)*y(73)*y(172)-T(3)*y(89)*2*y(89)*y(171);
g1(30,172)=y(175)*y(111)*y(171)*y(73)*y(89);
g1(30,175)=y(111)*(y(171)*y(89)*y(73)*y(172)-y(166)*y(79)*y(68)*y(176)-y(167)*y(81)*y(69)*y(177));
g1(30,176)=y(175)*y(111)*(-(y(166)*y(79)*y(68)));
g1(30,177)=y(175)*y(111)*(-(y(167)*y(69)*y(81)));
g1(30,186)=(1-params(16)-params(9))*y(115);
g1(30,187)=params(16)*y(117);
g1(31,162)=(1-params(10))*log(y(78)*y(168)-params(11))+params(10)*log(y(80)*y(169));
g1(31,68)=y(110)*y(185)*(-(y(168)*y(78)*y(176)));
g1(31,69)=y(110)*y(185)*(-(y(169)*y(177)*y(80)));
g1(31,72)=y(110)*y(185)*y(181)*y(88)*y(182);
g1(31,78)=y(162)*(1-params(10))*y(168)/(y(78)*y(168)-params(11))+y(110)*y(185)*(-(y(168)*y(68)*y(176)));
g1(31,80)=y(162)*params(10)*y(169)/(y(80)*y(169))+y(110)*y(185)*(-(y(169)*y(69)*y(177)));
g1(31,88)=y(110)*y(185)*y(181)*y(72)*y(182)-T(3)*y(181)*2*y(88)*y(181);
g1(31,110)=y(185)*(y(181)*y(88)*y(72)*y(182)-y(168)*y(78)*y(68)*y(176)-y(169)*y(80)*y(69)*y(177));
g1(31,114)=(1-params(15)-params(8))*y(188)-T(14);
g1(31,116)=params(15)*y(189);
g1(31,168)=y(162)*(1-params(10))*y(78)/(y(78)*y(168)-params(11))+y(110)*y(185)*(-(y(78)*y(68)*y(176)));
g1(31,169)=y(162)*params(10)*y(80)/(y(80)*y(169))+y(110)*y(185)*(-(y(80)*y(69)*y(177)));
g1(31,176)=y(110)*y(185)*(-(y(168)*y(78)*y(68)));
g1(31,177)=y(110)*y(185)*(-(y(169)*y(69)*y(80)));
g1(31,181)=y(110)*y(185)*y(88)*y(72)*y(182)-T(3)*y(88)*2*y(88)*y(181);
g1(31,182)=y(110)*y(185)*y(181)*y(88)*y(72);
g1(31,185)=y(110)*(y(181)*y(88)*y(72)*y(182)-y(168)*y(78)*y(68)*y(176)-y(169)*y(80)*y(69)*y(177));
g1(31,188)=(1-params(15)-params(8))*y(114);
g1(31,189)=params(15)*y(116);
g1(32,162)=(1-params(10))*log(y(83)*y(190)-params(11))+params(10)*log(y(85)*y(191));
g1(32,68)=y(175)*y(111)*(-(y(190)*y(83)*y(176)));
g1(32,69)=y(175)*y(111)*(-(y(191)*y(85)*y(177)));
g1(32,73)=y(175)*y(111)*y(192)*y(91)*y(172);
g1(32,83)=y(162)*(1-params(10))*y(190)/(y(83)*y(190)-params(11))+y(175)*y(111)*(-(y(68)*y(176)*y(190)));
g1(32,85)=y(162)*params(10)*y(191)/(y(85)*y(191))+y(175)*y(111)*(-(y(69)*y(177)*y(191)));
g1(32,91)=y(175)*y(111)*y(73)*y(172)*y(192)-T(3)*y(192)*2*y(91)*y(192);
g1(32,111)=y(175)*(y(192)*y(91)*y(73)*y(172)-y(190)*y(83)*y(68)*y(176)-y(191)*y(85)*y(69)*y(177));
g1(32,117)=y(187)-T(14);
g1(32,172)=y(175)*y(111)*y(192)*y(73)*y(91);
g1(32,175)=y(111)*(y(192)*y(91)*y(73)*y(172)-y(190)*y(83)*y(68)*y(176)-y(191)*y(85)*y(69)*y(177));
g1(32,176)=y(175)*y(111)*(-(y(190)*y(83)*y(68)));
g1(32,177)=y(175)*y(111)*(-(y(191)*y(69)*y(85)));
g1(32,187)=y(117);
g1(32,190)=y(162)*(1-params(10))*y(83)/(y(83)*y(190)-params(11))+y(175)*y(111)*(-(y(83)*y(68)*y(176)));
g1(32,191)=y(162)*params(10)*y(85)/(y(85)*y(191))+y(175)*y(111)*(-(y(85)*y(69)*y(177)));
g1(32,192)=y(175)*y(111)*y(91)*y(73)*y(172)-T(3)*y(91)*2*y(91)*y(192);
g1(33,162)=(1-params(10))*log(y(82)*y(193)-params(11))+params(10)*log(y(84)*y(194));
g1(33,68)=y(110)*y(185)*(-(y(193)*y(82)*y(176)));
g1(33,69)=y(110)*y(185)*(-(y(194)*y(177)*y(84)));
g1(33,72)=y(110)*y(185)*y(195)*y(90)*y(182);
g1(33,82)=y(162)*(1-params(10))*y(193)/(y(82)*y(193)-params(11))+y(110)*y(185)*(-(y(68)*y(176)*y(193)));
g1(33,84)=y(162)*params(10)*y(194)/(y(84)*y(194))+y(110)*y(185)*(-(y(69)*y(177)*y(194)));
g1(33,90)=y(110)*y(185)*y(72)*y(182)*y(195)-T(3)*y(195)*2*y(90)*y(195);
g1(33,110)=y(185)*(y(195)*y(90)*y(72)*y(182)-y(193)*y(82)*y(68)*y(176)-y(194)*y(84)*y(69)*y(177));
g1(33,116)=y(189)-T(14);
g1(33,176)=y(110)*y(185)*(-(y(193)*y(82)*y(68)));
g1(33,177)=y(110)*y(185)*(-(y(194)*y(69)*y(84)));
g1(33,182)=y(110)*y(185)*y(195)*y(90)*y(72);
g1(33,185)=y(110)*(y(195)*y(90)*y(72)*y(182)-y(193)*y(82)*y(68)*y(176)-y(194)*y(84)*y(69)*y(177));
g1(33,189)=y(116);
g1(33,193)=y(162)*(1-params(10))*y(82)/(y(82)*y(193)-params(11))+y(110)*y(185)*(-(y(82)*y(68)*y(176)));
g1(33,194)=y(162)*params(10)*y(84)/(y(84)*y(194))+y(110)*y(185)*(-(y(84)*y(69)*y(177)));
g1(33,195)=y(110)*y(185)*y(90)*y(72)*y(182)-T(3)*y(90)*2*y(90)*y(195);
g1(34,109)=(-1);
g1(34,113)=(-1);
g1(34,115)=1;
g1(35,108)=(-1);
g1(35,112)=(-1);
g1(35,114)=1;
g1(36,53)=(1-params(10))/(y(75)-params(11));
g1(36,54)=(y(28)*y(79)+y(27)*y(78))*params(1)*y(109);
g1(36,68)=(-y(111));
g1(36,75)=(-(y(53)*(1-params(10))))/((y(75)-params(11))*(y(75)-params(11)));
g1(36,78)=y(27)*params(1)*y(54)*y(109);
g1(36,79)=y(28)*params(1)*y(54)*y(109);
g1(36,27)=y(78)*params(1)*y(54)*y(109);
g1(36,28)=y(79)*params(1)*y(54)*y(109);
g1(36,109)=(y(28)*y(79)+y(27)*y(78))*y(54)*params(1);
g1(36,111)=(-y(68));
g1(37,53)=(1-params(10))/(y(74)-params(11));
g1(37,54)=(y(28)*y(79)+y(27)*y(78))*params(1)*y(108);
g1(37,68)=(-y(110));
g1(37,74)=(-(y(53)*(1-params(10))))/((y(74)-params(11))*(y(74)-params(11)));
g1(37,78)=y(27)*params(1)*y(54)*y(108);
g1(37,79)=y(28)*params(1)*y(54)*y(108);
g1(37,27)=y(78)*params(1)*y(54)*y(108);
g1(37,28)=y(79)*params(1)*y(54)*y(108);
g1(37,108)=(y(28)*y(79)+y(27)*y(78))*y(54)*params(1);
g1(37,110)=(-y(68));
g1(38,53)=params(10)/y(77);
g1(38,54)=(y(28)*y(81)+y(27)*y(80))*params(2)*y(109);
g1(38,69)=(-y(111));
g1(38,77)=(-(y(53)*params(10)))/(y(77)*y(77));
g1(38,80)=y(27)*params(2)*y(54)*y(109);
g1(38,81)=y(28)*params(2)*y(54)*y(109);
g1(38,27)=y(80)*params(2)*y(54)*y(109);
g1(38,28)=y(81)*params(2)*y(54)*y(109);
g1(38,109)=(y(28)*y(81)+y(27)*y(80))*y(54)*params(2);
g1(38,111)=(-y(69));
g1(39,53)=params(10)/y(76);
g1(39,54)=(y(28)*y(81)+y(27)*y(80))*params(2)*y(108);
g1(39,69)=(-y(110));
g1(39,76)=(-(y(53)*params(10)))/(y(76)*y(76));
g1(39,80)=y(27)*params(2)*y(54)*y(108);
g1(39,81)=y(28)*params(2)*y(54)*y(108);
g1(39,27)=y(80)*params(2)*y(54)*y(108);
g1(39,28)=y(81)*params(2)*y(54)*y(108);
g1(39,108)=(y(28)*y(81)+y(27)*y(80))*y(54)*params(2);
g1(39,110)=(-y(69));
g1(40,54)=(-(y(89)*y(28)*params(6)*y(109)));
g1(40,73)=(-y(111));
g1(40,87)=params(14);
g1(40,89)=(-(y(28)*params(6)*y(54)*y(109)));
g1(40,28)=(-(y(89)*params(6)*y(54)*y(109)));
g1(40,109)=(-(y(89)*y(28)*y(54)*params(6)));
g1(40,111)=(-y(73));
g1(41,54)=(-((1-params(20))*(-(y(88)*y(27)*params(5)*y(108)))));
g1(41,72)=params(20)-(1-params(20))*(-y(110));
g1(41,86)=(-(params(14)*(1-params(20))));
g1(41,88)=(-((1-params(20))*(-(y(27)*params(5)*y(54)*y(108)))));
g1(41,27)=(-((1-params(20))*(-(y(88)*params(5)*y(54)*y(108)))));
g1(41,108)=(-((1-params(20))*(-(y(88)*y(27)*y(54)*params(5)))));
g1(41,110)=(-((1-params(20))*(-y(72))));
g1(42,53)=(1-params(10))/(y(79)-params(11));
g1(42,68)=(-y(111));
g1(42,79)=(-(y(53)*(1-params(10))))/((y(79)-params(11))*(y(79)-params(11)));
g1(42,111)=(-y(68));
g1(43,53)=(1-params(10))/(y(78)-params(11));
g1(43,68)=(-y(110));
g1(43,78)=(-(y(53)*(1-params(10))))/((y(78)-params(11))*(y(78)-params(11)));
g1(43,110)=(-y(68));
g1(44,53)=params(10)/y(81);
g1(44,69)=(-y(111));
g1(44,81)=(-(y(53)*params(10)))/(y(81)*y(81));
g1(44,111)=(-y(69));
g1(45,53)=params(10)/y(80);
g1(45,69)=(-y(110));
g1(45,80)=(-(y(53)*params(10)))/(y(80)*y(80));
g1(45,110)=(-y(69));
g1(46,73)=(-y(111));
g1(46,89)=params(14);
g1(46,111)=(-y(73));
g1(47,72)=(-((1-params(20))*(-y(110))));
g1(47,86)=(-params(20));
g1(47,88)=params(20)-params(14)*(1-params(20));
g1(47,110)=(-((1-params(20))*(-y(72))));
g1(48,53)=(1-params(10))/(y(83)-params(11));
g1(48,68)=(-y(111));
g1(48,83)=(-(y(53)*(1-params(10))))/((y(83)-params(11))*(y(83)-params(11)));
g1(48,111)=(-y(68));
g1(49,53)=(1-params(10))/(y(82)-params(11));
g1(49,68)=(-y(110));
g1(49,82)=(-(y(53)*(1-params(10))))/((y(82)-params(11))*(y(82)-params(11)));
g1(49,110)=(-y(68));
g1(50,53)=params(10)/y(85);
g1(50,69)=(-y(111));
g1(50,85)=(-(y(53)*params(10)))/(y(85)*y(85));
g1(50,111)=(-y(69));
g1(51,53)=params(10)/y(84);
g1(51,69)=(-y(110));
g1(51,84)=(-(y(53)*params(10)))/(y(84)*y(84));
g1(51,110)=(-y(69));
g1(52,73)=(-y(111));
g1(52,91)=params(14);
g1(52,111)=(-y(73));
g1(53,72)=(-((1-params(20))*(-y(110))));
g1(53,86)=(-params(20));
g1(53,90)=params(20)-params(14)*(1-params(20));
g1(53,110)=(-((1-params(20))*(-y(72))));
g1(54,55)=1;
g1(54,199)=(-1);
g1(55,55)=(-(y(29)+y(25)+y(27)));
g1(55,56)=(-(y(30)+y(26)+y(28)));
g1(55,3)=(-(1+params(19)));
g1(55,70)=1;
g1(55,25)=(-y(55));
g1(55,26)=(-y(56));
g1(55,27)=(-y(55));
g1(55,28)=(-y(56));
g1(55,29)=(-y(55));
g1(55,30)=(-y(56));
g1(56,56)=x(it_, 5)-(y(30)+y(26)+y(28))*(1-x(it_, 5));
g1(56,3)=(-(params(19)*(1-x(it_, 5))));
g1(56,26)=(-(y(56)*(1-x(it_, 5))));
g1(56,28)=(-(y(56)*(1-x(it_, 5))));
g1(56,30)=(-(y(56)*(1-x(it_, 5))));
g1(56,202)=y(56)+y(56)*(y(30)+y(26)+y(28))+params(19)*y(3);
g1(57,60)=1;
g1(57,68)=(-(y(25)*y(74)+y(27)*y(78)+y(29)*y(82)));
g1(57,69)=(-(y(25)*y(76)+y(27)*y(80)+y(29)*y(84)));
g1(57,74)=(-(y(25)*y(68)));
g1(57,76)=(-(y(25)*y(69)));
g1(57,78)=(-(y(27)*y(68)));
g1(57,80)=(-(y(27)*y(69)));
g1(57,82)=(-(y(29)*y(68)));
g1(57,84)=(-(y(29)*y(69)));
g1(57,25)=(-(y(74)*y(68)+y(69)*y(76)));
g1(57,27)=(-(y(78)*y(68)+y(69)*y(80)));
g1(57,29)=(-(y(82)*y(68)+y(69)*y(84)));
g1(58,61)=1;
g1(58,68)=(-(y(26)*y(75)+y(28)*y(79)+y(30)*y(83)));
g1(58,69)=(-(y(26)*y(77)+y(28)*y(81)+y(30)*y(85)));
g1(58,75)=(-(y(26)*y(68)));
g1(58,77)=(-(y(26)*y(69)));
g1(58,79)=(-(y(28)*y(68)));
g1(58,81)=(-(y(28)*y(69)));
g1(58,83)=(-(y(30)*y(68)));
g1(58,85)=(-(y(30)*y(69)));
g1(58,26)=(-(y(75)*y(68)+y(69)*y(77)));
g1(58,28)=(-(y(79)*y(68)+y(69)*y(81)));
g1(58,30)=(-(y(83)*y(68)+y(69)*y(85)));
g1(59,62)=1;
g1(59,86)=(-y(25));
g1(59,88)=(-y(27));
g1(59,90)=(-y(29));
g1(59,25)=(-y(86));
g1(59,27)=(-y(88));
g1(59,29)=(-y(90));
g1(60,63)=1;
g1(60,87)=(-y(26));
g1(60,89)=(-y(28));
g1(60,91)=(-y(30));
g1(60,26)=(-y(87));
g1(60,28)=(-y(89));
g1(60,30)=(-y(91));
g1(61,64)=1;
g1(61,72)=(-(y(25)*y(86)+y(27)*y(88)+y(29)*y(90)));
g1(61,86)=(-(y(25)*y(72)));
g1(61,88)=(-(y(27)*y(72)));
g1(61,90)=(-(y(29)*y(72)));
g1(61,25)=(-(y(86)*y(72)));
g1(61,27)=(-(y(88)*y(72)));
g1(61,29)=(-(y(90)*y(72)));
g1(62,65)=1;
g1(62,73)=(-(y(26)*y(87)+y(28)*y(89)+y(30)*y(91)));
g1(62,87)=(-(y(26)*y(73)));
g1(62,89)=(-(y(28)*y(73)));
g1(62,91)=(-(y(30)*y(73)));
g1(62,26)=(-(y(73)*y(87)));
g1(62,28)=(-(y(73)*y(89)));
g1(62,30)=(-(y(73)*y(91)));
g1(63,53)=(-(y(25)*((1-params(10))*log(y(74)-params(11))+params(10)*log(y(76)))+y(27)*((1-params(10))*log(y(78)-params(11))+params(10)*log(y(80)))+y(29)*((1-params(10))*log(y(82)-params(11))+params(10)*log(y(84)))));
g1(63,74)=(-(y(25)*y(53)*(1-params(10))*1/(y(74)-params(11))));
g1(63,76)=(-(y(25)*y(53)*params(10)*1/y(76)));
g1(63,78)=(-(y(27)*y(53)*(1-params(10))*1/(y(78)-params(11))));
g1(63,80)=(-(y(27)*y(53)*params(10)*1/y(80)));
g1(63,82)=(-(y(29)*y(53)*(1-params(10))*1/(y(82)-params(11))));
g1(63,84)=(-(y(29)*y(53)*params(10)*1/y(84)));
g1(63,86)=(-(y(25)*(-(T(3)*2*y(86)))));
g1(63,88)=(-(y(27)*(-(T(3)*2*y(88)))));
g1(63,90)=(-(y(29)*(-(T(3)*2*y(90)))));
g1(63,25)=(-T(6));
g1(63,27)=(-T(7));
g1(63,29)=(-T(8));
g1(63,102)=1-params(12)*y(197);
g1(63,197)=(-(params(12)*y(102)));
g1(64,53)=(-(y(26)*((1-params(10))*log(y(75)-params(11))+params(10)*log(y(77)))+y(28)*((1-params(10))*log(y(79)-params(11))+params(10)*log(y(81)))+y(30)*((1-params(10))*log(y(83)-params(11))+params(10)*log(y(85)))));
g1(64,75)=(-(y(26)*y(53)*(1-params(10))*1/(y(75)-params(11))));
g1(64,77)=(-(y(26)*y(53)*params(10)*1/y(77)));
g1(64,79)=(-(y(28)*y(53)*(1-params(10))*1/(y(79)-params(11))));
g1(64,81)=(-(y(28)*y(53)*params(10)*1/y(81)));
g1(64,83)=(-(y(30)*y(53)*(1-params(10))*1/(y(83)-params(11))));
g1(64,85)=(-(y(30)*y(53)*params(10)*1/y(85)));
g1(64,87)=(-(y(26)*(-(T(3)*2*y(87)))));
g1(64,89)=(-(y(28)*(-(T(3)*2*y(89)))));
g1(64,91)=(-(y(30)*(-(T(3)*2*y(91)))));
g1(64,26)=(-T(9));
g1(64,28)=(-T(10));
g1(64,30)=(-T(11));
g1(64,103)=1-params(12)*y(196);
g1(64,196)=(-(params(12)*y(103)));
g1(65,102)=(-1);
g1(65,103)=(-1);
g1(65,104)=1;
g1(66,54)=(-T(12));
g1(66,153)=1;
g1(66,46)=(-(y(54)*(params(7)*(y(48)+y(47))+(y(48)*(steady_state(27))+y(47)*(steady_state(26)))*params(1)*(steady_state(23))+(y(48)*(steady_state(29))+y(47)*(steady_state(28)))*params(2)*(steady_state(25))+(steady_state(37))*y(48)*params(6)*(steady_state(35)))));
g1(66,47)=(-(y(54)*(params(7)*y(46)+params(1)*y(46)*(steady_state(23))*(steady_state(26))+params(2)*y(46)*(steady_state(25))*(steady_state(28)))));
g1(66,48)=(-(y(54)*(params(7)*y(46)+params(1)*y(46)*(steady_state(23))*(steady_state(27))+params(2)*y(46)*(steady_state(25))*(steady_state(29))+params(6)*y(46)*(steady_state(35))*(steady_state(37)))));
g1(67,54)=(-T(13));
g1(67,152)=1;
g1(67,45)=(-(y(54)*((y(48)*(steady_state(27))+y(47)*(steady_state(26)))*params(1)*(steady_state(22))+(y(48)*(steady_state(29))+y(47)*(steady_state(28)))*params(2)*(steady_state(24))+(steady_state(36))*y(47)*params(5)*(steady_state(34))+params(7)*(y(48)+y(47)))));
g1(67,47)=(-(y(54)*(params(7)*y(45)+(steady_state(26))*params(1)*y(45)*(steady_state(22))+(steady_state(28))*params(2)*y(45)*(steady_state(24))+params(5)*y(45)*(steady_state(34))*(steady_state(36)))));
g1(67,48)=(-(y(54)*(params(7)*y(45)+(steady_state(27))*params(1)*y(45)*(steady_state(22))+(steady_state(29))*params(2)*y(45)*(steady_state(24)))));
g1(68,153)=1;
g1(68,46)=(-1);
g1(68,155)=1;
g1(69,152)=1;
g1(69,45)=(-1);
g1(69,154)=1;
g1(70,153)=(-1);
g1(70,48)=(-(1-params(16)-params(9)));
g1(70,157)=1;
g1(71,152)=(-1);
g1(71,47)=(-(1-params(15)-params(8)));
g1(71,156)=1;
g1(72,48)=(-params(16));
g1(72,50)=(-1);
g1(72,159)=1;
g1(73,47)=(-params(15));
g1(73,49)=(-1);
g1(73,158)=1;
g1(74,48)=(-params(9));
g1(74,52)=(-1);
g1(74,161)=1;
g1(75,47)=(-params(8));
g1(75,51)=(-1);
g1(75,160)=1;
g1(76,8)=(-((-y(75))/(y(8)*y(8))));
g1(76,75)=(-(1/y(8)));
g1(76,118)=1;
g1(77,10)=(-((-y(77))/(y(10)*y(10))));
g1(77,77)=(-(1/y(10)));
g1(77,119)=1;
g1(78,12)=(-((-y(79))/(y(12)*y(12))));
g1(78,79)=(-(1/y(12)));
g1(78,120)=1;
g1(79,14)=(-((-y(81))/(y(14)*y(14))));
g1(79,81)=(-(1/y(14)));
g1(79,121)=1;
g1(80,11)=(-((-y(78))/(y(11)*y(11))));
g1(80,78)=(-(1/y(11)));
g1(80,122)=1;
g1(81,13)=(-((-y(80))/(y(13)*y(13))));
g1(81,80)=(-(1/y(13)));
g1(81,123)=1;
g1(82,20)=(-((-y(87))/(y(20)*y(20))));
g1(82,87)=(-(1/y(20)));
g1(82,124)=1;
g1(83,22)=(-((-y(89))/(y(22)*y(22))));
g1(83,89)=(-(1/y(22)));
g1(83,125)=1;
g1(84,6)=(-((-y(73))/(y(6)*y(6))));
g1(84,73)=(-(1/y(6)));
g1(84,126)=1;
g1(85,40)=(-((-y(113))/(y(40)*y(40))));
g1(85,113)=(-(1/y(40)));
g1(85,127)=1;
g1(86,36)=(-((-y(109))/(y(36)*y(36))));
g1(86,109)=(-(1/y(36)));
g1(86,128)=1;
g1(87,38)=(-((-y(111))/(y(38)*y(38))));
g1(87,111)=(-(1/y(38)));
g1(87,129)=1;
g1(88,1)=(-((-y(68))/(y(1)*y(1))));
g1(88,68)=(-(1/y(1)));
g1(88,130)=1;
g1(89,2)=(-((-y(69))/(y(2)*y(2))));
g1(89,69)=(-(1/y(2)));
g1(89,131)=1;
g1(90,7)=(-((-y(74))/(y(7)*y(7))));
g1(90,74)=(-(1/y(7)));
g1(90,132)=1;
g1(91,9)=(-((-y(76))/(y(9)*y(9))));
g1(91,76)=(-(1/y(9)));
g1(91,133)=1;
g1(92,19)=(-((-y(86))/(y(19)*y(19))));
g1(92,86)=(-(1/y(19)));
g1(92,134)=1;
g1(93,21)=(-((-y(88))/(y(21)*y(21))));
g1(93,88)=(-(1/y(21)));
g1(93,135)=1;
g1(94,5)=(-((-y(72))/(y(5)*y(5))));
g1(94,72)=(-(1/y(5)));
g1(94,136)=1;
g1(95,39)=(-((-y(112))/(y(39)*y(39))));
g1(95,112)=(-(1/y(39)));
g1(95,137)=1;
g1(96,35)=(-((-y(108))/(y(35)*y(35))));
g1(96,108)=(-(1/y(35)));
g1(96,138)=1;
g1(97,37)=(-((-y(110))/(y(37)*y(37))));
g1(97,110)=(-(1/y(37)));
g1(97,139)=1;
g1(98,42)=(-((-y(115))/(y(42)*y(42))));
g1(98,115)=(-(1/y(42)));
g1(98,140)=1;
g1(99,44)=(-((-y(117))/(y(44)*y(44))));
g1(99,117)=(-(1/y(44)));
g1(99,141)=1;
g1(100,41)=(-((-y(114))/(y(41)*y(41))));
g1(100,114)=(-(1/y(41)));
g1(100,142)=1;
g1(101,43)=(-((-y(116))/(y(43)*y(43))));
g1(101,116)=(-(1/y(43)));
g1(101,143)=1;
g1(102,16)=(-((-y(83))/(y(16)*y(16))));
g1(102,83)=(-(1/y(16)));
g1(102,144)=1;
g1(103,18)=(-((-y(85))/(y(18)*y(18))));
g1(103,85)=(-(1/y(18)));
g1(103,145)=1;
g1(104,24)=(-((-y(91))/(y(24)*y(24))));
g1(104,91)=(-(1/y(24)));
g1(104,146)=1;
g1(105,15)=(-((-y(82))/(y(15)*y(15))));
g1(105,82)=(-(1/y(15)));
g1(105,147)=1;
g1(106,17)=(-((-y(84))/(y(17)*y(17))));
g1(106,84)=(-(1/y(17)));
g1(106,148)=1;
g1(107,23)=(-((-y(90))/(y(23)*y(23))));
g1(107,90)=(-(1/y(23)));
g1(107,149)=1;
g1(108,34)=(-((-y(103))/(y(34)*y(34))));
g1(108,103)=(-(1/y(34)));
g1(108,150)=1;
g1(109,33)=(-((-y(102))/(y(33)*y(33))));
g1(109,102)=(-(1/y(33)));
g1(109,151)=1;

end
