function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = ert_inequality.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(109, 1);
lhs = y(26)*y(75)+y(28)*y(79)+y(30)*y(83)+y(25)*y(74)+y(27)*y(78)+y(29)*y(82);
rhs = params(3)*(y(25)*y(86)+y(27)*y(88)+y(29)*y(90));
residual(1) = lhs - rhs;
lhs = y(69)*y(106)+(y(26)*y(75)+y(28)*y(79)+y(30)*y(83))*y(68)+y(69)*(y(26)*y(77)+y(28)*y(81)+y(30)*y(85));
rhs = y(57);
residual(2) = lhs - rhs;
lhs = y(106);
rhs = y(71)-y(4);
residual(3) = lhs - rhs;
lhs = y(106);
rhs = x(it_, 1);
residual(4) = lhs - rhs;
lhs = y(105);
rhs = y(175)*y(177)*(1+params(19))*params(12)-1;
residual(5) = lhs - rhs;
lhs = y(57);
rhs = y(73)*(y(26)*y(87)+y(28)*y(89)+y(30)*y(91))+y(4)*y(69)*params(19)+y(107)+y(56);
residual(6) = lhs - rhs;
lhs = y(58);
rhs = (y(25)*y(86)+y(27)*y(88)+y(29)*y(90))*y(72)+y(55);
residual(7) = lhs - rhs;
lhs = y(59);
rhs = y(57)/(y(57)+y(58));
residual(8) = lhs - rhs;
lhs = y(107);
rhs = (y(25)*y(86)+y(27)*y(88)+y(29)*y(90))*params(3)*y(68)-(y(25)*y(86)+y(27)*y(88)+y(29)*y(90))*y(72)+(y(26)*y(87)+y(28)*y(89)+y(30)*y(91))*y(69)*params(4)-y(73)*(y(26)*y(87)+y(28)*y(89)+y(30)*y(91));
residual(9) = lhs - rhs;
lhs = (y(25)*y(74)+y(27)*y(78)+y(29)*y(82))*y(68)+y(69)*(y(25)*y(76)+y(27)*y(80)+y(29)*y(84));
rhs = y(58);
residual(10) = lhs - rhs;
lhs = y(69);
rhs = params(21);
residual(11) = lhs - rhs;
lhs = y(72);
rhs = params(3)*y(68);
residual(12) = lhs - rhs;
lhs = y(73);
rhs = y(69)*params(4);
residual(13) = lhs - rhs;
lhs = y(66);
rhs = y(68)*(y(29)*y(82)+y(27)*y(78)+y(26)*y(75)+y(28)*y(79)+y(30)*y(83)+y(25)*y(74))+y(69)*(y(29)*y(84)+y(27)*y(80)+y(26)*y(77)+y(28)*y(81)+y(30)*y(85)+y(25)*y(76));
residual(14) = lhs - rhs;
lhs = y(67);
rhs = y(25)*y(86)+y(27)*y(88)+y(29)*y(90)+y(26)*y(87)+y(28)*y(89)+y(30)*y(91);
residual(15) = lhs - rhs;
lhs = y(54);
rhs = 1-x(it_, 3);
residual(16) = lhs - rhs;
lhs = y(93);
rhs = y(54)*T(1);
residual(17) = lhs - rhs;
lhs = y(92);
rhs = y(54)*T(2);
residual(18) = lhs - rhs;
lhs = y(95);
rhs = y(26)-y(93);
residual(19) = lhs - rhs;
lhs = y(94);
rhs = y(25)-y(92);
residual(20) = lhs - rhs;
lhs = y(97);
rhs = y(93)+y(28)*(1-params(16)-params(9));
residual(21) = lhs - rhs;
lhs = y(96);
rhs = y(92)+y(27)*(1-params(15)-params(8));
residual(22) = lhs - rhs;
lhs = y(99);
rhs = y(30)+y(28)*params(16);
residual(23) = lhs - rhs;
lhs = y(98);
rhs = y(29)+y(27)*params(15);
residual(24) = lhs - rhs;
lhs = y(101);
rhs = y(32)+y(28)*params(9);
residual(25) = lhs - rhs;
lhs = y(100);
rhs = y(31)+y(27)*params(8);
residual(26) = lhs - rhs;
lhs = y(53);
rhs = 1-x(it_, 4);
residual(27) = lhs - rhs;
residual(28) = params(18)+y(162)*(1-params(10))*log(y(75)*y(164)-params(11))+y(162)*params(10)*log(y(77)*y(165))-T(3)*(y(87)*y(170))^2+y(109)*y(174)*y(163)*T(4)+y(175)*y(111)*(y(170)*y(87)*y(73)*y(172)-y(164)*y(75)*y(68)*y(176)-y(165)*y(77)*y(69)*y(177))-y(113)/params(12)+y(113)*y(173);
residual(29) = params(17)+y(162)*(1-params(10))*log(y(74)*y(178)-params(11))+y(162)*params(10)*log(y(76)*y(179))-T(3)*(y(86)*y(180))^2+y(163)*y(108)*y(184)*T(5)+y(110)*y(185)*(y(180)*y(86)*y(72)*y(182)-y(178)*y(74)*y(68)*y(176)-y(179)*y(76)*y(69)*y(177))-y(112)/params(12)+y(112)*y(183);
residual(30) = params(18)+y(162)*(1-params(10))*log(y(79)*y(166)-params(11))+y(162)*params(10)*log(y(81)*y(167))-T(3)*(y(89)*y(171))^2+y(175)*y(111)*(y(171)*y(89)*y(73)*y(172)-y(166)*y(79)*y(68)*y(176)-y(167)*y(81)*y(69)*y(177))-y(115)/params(12)+(1-params(16)-params(9))*y(115)*y(186)+params(16)*y(117)*y(187);
residual(31) = params(17)+y(162)*(1-params(10))*log(y(78)*y(168)-params(11))+y(162)*params(10)*log(y(80)*y(169))-T(3)*(y(88)*y(181))^2+y(110)*y(185)*(y(181)*y(88)*y(72)*y(182)-y(168)*y(78)*y(68)*y(176)-y(169)*y(80)*y(69)*y(177))-y(114)/params(12)+(1-params(15)-params(8))*y(114)*y(188)+params(15)*y(116)*y(189);
residual(32) = y(117)*y(187)+params(18)+y(162)*(1-params(10))*log(y(83)*y(190)-params(11))+y(162)*params(10)*log(y(85)*y(191))-T(3)*(y(91)*y(192))^2+y(175)*y(111)*(y(192)*y(91)*y(73)*y(172)-y(190)*y(83)*y(68)*y(176)-y(191)*y(85)*y(69)*y(177))-y(117)/params(12);
residual(33) = y(116)*y(189)+params(17)+y(162)*(1-params(10))*log(y(82)*y(193)-params(11))+y(162)*params(10)*log(y(84)*y(194))-T(3)*(y(90)*y(195))^2+y(110)*y(185)*(y(195)*y(90)*y(72)*y(182)-y(193)*y(82)*y(68)*y(176)-y(194)*y(84)*y(69)*y(177))-y(116)/params(12);
lhs = y(115);
rhs = y(109)+y(113);
residual(34) = lhs - rhs;
lhs = y(114);
rhs = y(108)+y(112);
residual(35) = lhs - rhs;
lhs = y(53)*(1-params(10))/(y(75)-params(11));
rhs = y(68)*y(111)-(y(28)*y(79)+y(27)*y(78))*params(1)*y(54)*y(109);
residual(36) = lhs - rhs;
lhs = y(53)*(1-params(10))/(y(74)-params(11));
rhs = y(68)*y(110)-(y(28)*y(79)+y(27)*y(78))*params(1)*y(54)*y(108);
residual(37) = lhs - rhs;
lhs = y(53)*params(10)/y(77);
rhs = y(69)*y(111)-(y(28)*y(81)+y(27)*y(80))*params(2)*y(54)*y(109);
residual(38) = lhs - rhs;
lhs = y(53)*params(10)/y(76);
rhs = y(69)*y(110)-(y(28)*y(81)+y(27)*y(80))*params(2)*y(54)*y(108);
residual(39) = lhs - rhs;
residual(40) = y(87)*params(14)-y(73)*y(111)-y(89)*y(28)*params(6)*y(54)*y(109);
lhs = params(20)*(y(72)-(steady_state(20)));
rhs = (1-params(20))*(y(86)*params(14)-y(72)*y(110)-y(88)*y(27)*params(5)*y(54)*y(108));
residual(41) = lhs - rhs;
lhs = y(53)*(1-params(10))/(y(79)-params(11));
rhs = y(68)*y(111);
residual(42) = lhs - rhs;
lhs = y(53)*(1-params(10))/(y(78)-params(11));
rhs = y(68)*y(110);
residual(43) = lhs - rhs;
lhs = y(53)*params(10)/y(81);
rhs = y(69)*y(111);
residual(44) = lhs - rhs;
lhs = y(53)*params(10)/y(80);
rhs = y(69)*y(110);
residual(45) = lhs - rhs;
lhs = y(89)*params(14);
rhs = y(73)*y(111);
residual(46) = lhs - rhs;
lhs = params(20)*(y(88)-y(86));
rhs = (1-params(20))*(y(88)*params(14)-y(72)*y(110));
residual(47) = lhs - rhs;
lhs = y(53)*(1-params(10))/(y(83)-params(11));
rhs = y(68)*y(111);
residual(48) = lhs - rhs;
lhs = y(53)*(1-params(10))/(y(82)-params(11));
rhs = y(68)*y(110);
residual(49) = lhs - rhs;
lhs = y(53)*params(10)/y(85);
rhs = y(69)*y(111);
residual(50) = lhs - rhs;
lhs = y(53)*params(10)/y(84);
rhs = y(69)*y(110);
residual(51) = lhs - rhs;
lhs = y(91)*params(14);
rhs = y(73)*y(111);
residual(52) = lhs - rhs;
lhs = params(20)*(y(90)-y(86));
rhs = (1-params(20))*(y(90)*params(14)-y(72)*y(110));
residual(53) = lhs - rhs;
lhs = y(55);
rhs = x(it_, 2);
residual(54) = lhs - rhs;
lhs = y(70)-y(56)*(y(30)+y(26)+y(28));
rhs = y(55)*(y(29)+y(25)+y(27))+(1+params(19))*y(3);
residual(55) = lhs - rhs;
lhs = y(56)*x(it_, 5);
rhs = (1-x(it_, 5))*(y(56)*(y(30)+y(26)+y(28))+params(19)*y(3));
residual(56) = lhs - rhs;
lhs = y(60);
rhs = (y(25)*y(74)+y(27)*y(78)+y(29)*y(82))*y(68)+y(69)*(y(25)*y(76)+y(27)*y(80)+y(29)*y(84));
residual(57) = lhs - rhs;
lhs = y(61);
rhs = (y(26)*y(75)+y(28)*y(79)+y(30)*y(83))*y(68)+y(69)*(y(26)*y(77)+y(28)*y(81)+y(30)*y(85));
residual(58) = lhs - rhs;
lhs = y(62);
rhs = y(25)*y(86)+y(27)*y(88)+y(29)*y(90);
residual(59) = lhs - rhs;
lhs = y(63);
rhs = y(26)*y(87)+y(28)*y(89)+y(30)*y(91);
residual(60) = lhs - rhs;
lhs = y(64);
rhs = (y(25)*y(86)+y(27)*y(88)+y(29)*y(90))*y(72);
residual(61) = lhs - rhs;
lhs = y(65);
rhs = y(73)*(y(26)*y(87)+y(28)*y(89)+y(30)*y(91));
residual(62) = lhs - rhs;
lhs = y(102);
rhs = y(25)*T(6)+y(27)*T(7)+y(29)*T(8)+params(12)*y(102)*y(197);
residual(63) = lhs - rhs;
lhs = y(103);
rhs = y(26)*T(9)+y(28)*T(10)+y(30)*T(11)+params(12)*y(103)*y(196);
residual(64) = lhs - rhs;
lhs = y(104);
rhs = y(102)+y(103);
residual(65) = lhs - rhs;
lhs = y(153);
rhs = y(54)*T(12);
residual(66) = lhs - rhs;
lhs = y(152);
rhs = y(54)*T(13);
residual(67) = lhs - rhs;
lhs = y(155);
rhs = y(46)-y(153);
residual(68) = lhs - rhs;
lhs = y(154);
rhs = y(45)-y(152);
residual(69) = lhs - rhs;
lhs = y(157);
rhs = y(153)+(1-params(16)-params(9))*y(48);
residual(70) = lhs - rhs;
lhs = y(156);
rhs = y(152)+(1-params(15)-params(8))*y(47);
residual(71) = lhs - rhs;
lhs = y(159);
rhs = y(50)+params(16)*y(48);
residual(72) = lhs - rhs;
lhs = y(158);
rhs = y(49)+params(15)*y(47);
residual(73) = lhs - rhs;
lhs = y(161);
rhs = y(52)+params(9)*y(48);
residual(74) = lhs - rhs;
lhs = y(160);
rhs = y(51)+params(8)*y(47);
residual(75) = lhs - rhs;
lhs = y(118);
rhs = y(75)/y(8);
residual(76) = lhs - rhs;
lhs = y(119);
rhs = y(77)/y(10);
residual(77) = lhs - rhs;
lhs = y(120);
rhs = y(79)/y(12);
residual(78) = lhs - rhs;
lhs = y(121);
rhs = y(81)/y(14);
residual(79) = lhs - rhs;
lhs = y(122);
rhs = y(78)/y(11);
residual(80) = lhs - rhs;
lhs = y(123);
rhs = y(80)/y(13);
residual(81) = lhs - rhs;
lhs = y(124);
rhs = y(87)/y(20);
residual(82) = lhs - rhs;
lhs = y(125);
rhs = y(89)/y(22);
residual(83) = lhs - rhs;
lhs = y(126);
rhs = y(73)/y(6);
residual(84) = lhs - rhs;
lhs = y(127);
rhs = y(113)/y(40);
residual(85) = lhs - rhs;
lhs = y(128);
rhs = y(109)/y(36);
residual(86) = lhs - rhs;
lhs = y(129);
rhs = y(111)/y(38);
residual(87) = lhs - rhs;
lhs = y(130);
rhs = y(68)/y(1);
residual(88) = lhs - rhs;
lhs = y(131);
rhs = y(69)/y(2);
residual(89) = lhs - rhs;
lhs = y(132);
rhs = y(74)/y(7);
residual(90) = lhs - rhs;
lhs = y(133);
rhs = y(76)/y(9);
residual(91) = lhs - rhs;
lhs = y(134);
rhs = y(86)/y(19);
residual(92) = lhs - rhs;
lhs = y(135);
rhs = y(88)/y(21);
residual(93) = lhs - rhs;
lhs = y(136);
rhs = y(72)/y(5);
residual(94) = lhs - rhs;
lhs = y(137);
rhs = y(112)/y(39);
residual(95) = lhs - rhs;
lhs = y(138);
rhs = y(108)/y(35);
residual(96) = lhs - rhs;
lhs = y(139);
rhs = y(110)/y(37);
residual(97) = lhs - rhs;
lhs = y(140);
rhs = y(115)/y(42);
residual(98) = lhs - rhs;
lhs = y(141);
rhs = y(117)/y(44);
residual(99) = lhs - rhs;
lhs = y(142);
rhs = y(114)/y(41);
residual(100) = lhs - rhs;
lhs = y(143);
rhs = y(116)/y(43);
residual(101) = lhs - rhs;
lhs = y(144);
rhs = y(83)/y(16);
residual(102) = lhs - rhs;
lhs = y(145);
rhs = y(85)/y(18);
residual(103) = lhs - rhs;
lhs = y(146);
rhs = y(91)/y(24);
residual(104) = lhs - rhs;
lhs = y(147);
rhs = y(82)/y(15);
residual(105) = lhs - rhs;
lhs = y(148);
rhs = y(84)/y(17);
residual(106) = lhs - rhs;
lhs = y(149);
rhs = y(90)/y(23);
residual(107) = lhs - rhs;
lhs = y(150);
rhs = y(103)/y(34);
residual(108) = lhs - rhs;
lhs = y(151);
rhs = y(102)/y(33);
residual(109) = lhs - rhs;

end
